namespace NetinaShop.Domain.Entities.Users;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget)]
[AdaptTo("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Projection)]
[GenerateMapper]
public class Customer : ApiEntity
{
    public List<UserAddress> Addresses { get; set; } = new();
    public Guid UserId { get; set; }
    public ApplicationUser? User { get; set; }
}